
package de.ivu.elect.presentation.stimmeingabe.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.business.wahl.boundary.WahlSessionSelect;
import de.ivu.elect.presentation.menu.AbstractMenuItemEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;
import de.ivu.elect.presentation.stimmeingabe.exchange.StimmeingabeImportStatusSearchView;

import javax.inject.Inject;

public class StimmeingabeImportStatusSearchMenuItemEntry extends AbstractMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public StimmeingabeImportStatusSearchMenuItemEntry() {
    super();
  }

  @Inject
  private transient WahlSessionSelect wahlSessionSelect;

  @Override
  public boolean isRendered() {
    return hasUseCasePermission(UseCasePermission.STIMMEINGABE_IMPORT_STATUS_SEARCH);
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return AbstractGebietSecurity.KEINE_GEBIET_SECURITY;
  }

  @Override
  public boolean isDisabledInternal() {
    return !wahlSessionSelect.isSelected();
  }

  @Override
  public String getTargetViewId() {
    return StimmeingabeImportStatusSearchView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "stimmeingabe.importieren.status.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconStatus();
  }
}
